Item Logo
Wms apiApi referenceInventory query api

Inventory Balance Report Query

Inventory Balance Report Query API

Inventory Balance Report Query API allows users to search and retrieve Return the Items Movement Summary using a date range. This article introduces the general Inventory Balance Report Query API for easily understanding and applying this API.

Introduction

Inventory Balance Report Query API helps users track inventory changes, ensuring better stock management and supporting decisions related to purchasing, replenishment and warehouse operations.

API Request

API: POST /edi/inventory/balance-report/search-by-paging Body Request:

Body Parameter

Required

Description

Note

FacilityID

Y

Facility ID

"889"

CustomerID

Y

Customer ID

"AUKINT0001"

CompanyID

Y

Company ID

"LT"

ItemSpecName

N

Item Id

"KNT-TT-BK"

Description

N

Item Description

"Travel Tumbler / Black"

TitleID

N

Title Id

"AIRHOUSE, INC."

Paging

N

Page Object

"PageNo": 2

API Return

It returns the query inventory activity balance report, for more detail, please refer to the following example.

Example

Request

Response

json // Success return { "results": { "head": [ "Item ID", "Description", "Short Description", "Title", "Supplier", "UOM", "Current Balance", "Beginning Balance", "Received", "Shipped", "Adjust In", "Adjust Out", "Transfer In", "Transfer Out" ], "data": [] }, "paging": { "totalCount": 1, "pageNo": 2, "totalPage": 1, "startIndex": 101, "endIndex": 101, "limit": 100 } }